#ifndef VMMA_OS_DEP_H
#define VMMA_OS_DEP_H

#include "config.h"

#if VMMA_FEAT_MULTITHREADED

void* vmma_semget(unsigned int initial_count);
void vmma_semdel(void* sem);
int vmma_semwait(void* sem, int block); /* returns 0 on success */
int vmma_semsig(void* sem); /* returns 0 on success */

#endif /* VMMA_FEAT_MULTITHREADED */

#endif /* VMMA_OS_DEP_H */
